# MovementRequest.java

    package io.github.js0ny.ilp_coursework.data.request;

    import io.github.js0ny.ilp_coursework.data.common.LngLat;

    /**
     * Represents the data transfer object for a movement action request.
     *
     * <p>This record encapsulates the data for endpoint /api/v1/nextPosition and serves as the data
     * contract for this API operation
     *
     * @param start The starting coordinate of the movement
     * @param angle The angle to movement in degree. This corresponds to compass directions. For
     *     example: 0 for East, 90 for North
     * @see io.github.js0ny.ilp_coursework.controller.ApiController#getNextPosition(MovementRequest)
     */
    public record MovementRequest(LngLat start, double angle) {}